summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimon McVittie <simon.mcvittie@collabora.co.uk>2013-09-19 19:43:29 +0100
committerSimon McVittie <simon.mcvittie@collabora.co.uk>2013-09-20 12:50:44 +0100
commit83d08c87a251824f6f5f52037e1f79587bc9446c (patch)
tree5d04f60a1e961fe9b3b346563a7ca0aa430fae44
parent79e1df1b5818e3bb323b040a708f3d91d616d2d6 (diff)
downloadtelepathy-mission-control-83d08c87a251824f6f5f52037e1f79587bc9446c.tar.gz
run-test.sh.in: now that we run under 'set -e', catch failures
If we just let with-session-bus.sh exit nonzero, the script aborts. We want to catch the nonzero exit status and do some more things before failing. Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69585 Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
-rw-r--r--tests/twisted/run-test.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/twisted/run-test.sh.in b/tests/twisted/run-test.sh.in
index 2cb87b3d..ac553e3c 100644
--- a/tests/twisted/run-test.sh.in
+++ b/tests/twisted/run-test.sh.in
@@ -111,13 +111,13 @@ for i in $list ; do
AG_SERVICES="${tmp}/libaccounts-services"
export AG_SERVICES
+ e=0
sh "${test_src}/twisted/tools/with-session-bus.sh" \
${MC_TEST_SLEEP} \
--also-for-system \
--config-file="${config_file}" \
-- \
- @TEST_PYTHON@ -u "${test_src}/twisted/$i"
- e=$?
+ @TEST_PYTHON@ -u "${test_src}/twisted/$i" || e=$?
case "$e" in
(0)
echo "PASS: $i"